Visualizza: Origine degli assi

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std AxisCross and the translation is 65% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Pagina precedente: Std ViewFullscreen.svg Vista 3D a schermo intero
Pagina successiva: Piano di taglio Arrow-right.svg

Origine degli assi

Posizione nel menu
Visualizza → Origine degli assi
Ambiente
Tutti
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Il comando Origine degli assi attiva o disattiva il sistema di assi nella vista 3D attiva. L'impostazione vale anche su tutte le nuove viste 3D, comprese quelle appartenenti a nuovi documenti, ma non sulla vista 3D iniziale di documenti esistenti.

Il sistema di assi è composto da tre frecce che rappresentano gli assi X, Y e Z positivi del sistema di coordinate globale. Il loro punto di partenza comune è l'origine del sistema di coordinate globale.

Std AxisCross example.svg

Il sistema di assi (le lettere non fanno parte del sistema di assi)

Utilizzo

  1. Selezionare Visualizza → Origine degli assi.

Note

  • FreeCAD può visualizzare un indicatore di sistema di coordinate più piccolo nell'angolo in basso a destra delle viste 3D: Modifica → Preferenze... → Display → Vista 3D → Mostra il sistema di coordinate nell'angolo. Vedere Editor delle preferenze.
  • Anche il cubo di navigazione include un indicatore del sistema di coordinate.

Preferenze

  • L'impostazione del sistema di assi è memorizzata in: Strumenti → Modifica parametri... → BaseApp → Preferences → View → ShowAxisCross.

Script

Vedere anche: Script di base per FreeCAD

Per attivare o disattivare il sistema di assi, utilizzare il metodo setAxisCross dell'oggetto ActiveView. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setAxisCross(True)
FreeCADGui.ActiveDocument.ActiveView.hasAxisCross()


Arrow-left.svg Pagina precedente: Std ViewFullscreen.svg Vista 3D a schermo intero
Pagina successiva: Piano di taglio Arrow-right.svg